CGAL 6.2 - Scale-Space Surface Reconstruction: CGAL::Scale_space_reconstruction_3::Jet_smoother< Geom_traits, ConcurrencyTag > Class Template Reference

CGAL 6.2 - Scale-Space Surface Reconstruction

Loading...
Searching...
No Matches
List of all members | Public Types | Public Member Functions
CGAL::Scale_space_reconstruction_3::Jet_smoother< Geom_traits, ConcurrencyTag > Class Template Reference
Reference Manual » Classes

`#include <CGAL/Scale_space_reconstruction_3/Jet_smoother.h>`

## Definition

template<typename Geom_traits, typename ConcurrencyTag>
class CGAL::Scale_space_reconstruction_3::Jet_smoother< Geom_traits, ConcurrencyTag >

Smoother for scale space reconstruction based on `CGAL::jet_smooth_point_set()`.

Is model of
  `CGAL::Scale_space_reconstruction_3::Smoother`

Template Parameters

  Geom_traits | geometric traits class. It must be a model of `DelaunayTriangulationTraits_3`. It must have a `RealEmbeddable` field number type. Generally, `Exact_predicates_inexact_constructions_kernel` is preferred.
  ConcurrencyTag | indicates whether to use concurrent processing. It can be omitted: if Intel TBB is available and `CGAL_LINKED_WITH_TBB` is defined then `Parallel_tag` is used. Otherwise, `Sequential_tag` is used.

Examples
  Scale_space_reconstruction_3/scale_space_advancing_front.cpp.

## Public Types
typedef Geom_traits::FT | FT
| defines the field number type.
typedef Geom_traits::Point_3 | Point
| defines the point type.

## Public Member Functions
| Jet_smoother (unsigned int k=12, unsigned int degree_fitting=2, unsigned int degree_monge=2)
| Constructs a jet smoother.

## Constructor & Destructor Documentation

## ◆ Jet_smoother()

template<typename Geom_traits , typename ConcurrencyTag >

CGAL::Scale_space_reconstruction_3::Jet_smoother< Geom_traits, ConcurrencyTag >::Jet_smoother | ( | unsigned int | k = `12`,
|  | unsigned int | degree_fitting = `2`,
|  | unsigned int | degree_monge = `2`
| ) |  |

Constructs a jet smoother.

Parameters

  k | number of neighbors used
  degree_fitting | fitting degree
  degree_monge | Monge degree